import express, { Router, Request, Response } from 'express'
import multer from 'multer'
import { config } from '../index.config'

const storage = multer.diskStorage({
    destination(req, file, callback) {
        callback(null, 
            config.filePath)
    },
    filename(req, file, callback) {
        callback(null, 
            file.originalname)
    },
})

const upload = multer({storage})

export class PostsController {
    private router: Router

    constructor() {
        this.router = express.Router()
        
    }

    public getRouter = (): Router => {
        return this.router
    }
}